<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <import type="com.lukouguoji.module_base.ui.weight.search.layout.SearchLayoutType" />
        <variable
            name="viewModel"
            type="com.sixin.module_p.ui.gnj.xieji.add.PdaGnjXieJiAddViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/bg_search_row"
                android:gravity="center_vertical"
                android:onClick="@{()-> viewModel.onDateClick()}"
                android:paddingHorizontal="10dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:hint="请选择航班日期"
                    android:text="@{viewModel.date}" />

                <ImageView
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@mipmap/img_date" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="10dp"
                android:layout_weight="1"
                android:background="@drawable/bg_search_row"
                android:gravity="center_vertical"
                android:paddingHorizontal="10dp">

                <EditText
                    setFocusLoseListener="@{viewModel::queryFlight}"
                    setTextAllCaps="@{true}"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@null"
                    android:hint="请输入航班号"
                    android:text="@={viewModel.fno}"
                    android:textSize="14sp" />

            </LinearLayout>

        </LinearLayout>



        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginHorizontal="10dp"
            android:gravity="center_vertical"
            android:layout_marginTop="10dp">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/bg_search_row"
                android:gravity="center_vertical"
                android:paddingHorizontal="10dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1.4"
                    android:background="@null"
                    android:hint="请选择货物类型"
                    android:gravity="center_vertical"
                    android:textSize="14sp"
                    android:text="@={viewModel.cargoTypeString}"
                    android:onClick="@{()-> viewModel.onCargoTypeClick()}"/>

                <ImageView
                    visible="@{viewModel.clearable}"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="0.2"
                    android:src="@drawable/delete"
                    android:onClick="@{()-> viewModel.clearChecked()}"/>

                <ImageView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="0.2"
                    android:src="@drawable/arrow_down"
                    android:onClick="@{()-> viewModel.onCargoTypeClick()}"/>
                <!--<com.lukouguoji.module_base.ui.weight.search.layout.PadSearchLayout
                    hint='@{"请选择货物类型"}'
                    list="@{viewModel.cargoTypeList}"
                    type="@{SearchLayoutType.SPINNER}"
                    value="@={viewModel.cargoType}"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:layout_weight="1" />-->


            </LinearLayout>
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="10dp"
                android:layout_weight="1"
                android:background="@drawable/bg_search_row"
                android:gravity="center_vertical"
                android:paddingHorizontal="10dp">

                <EditText
                    setFocusLoseListener="@{viewModel::onCarInputFinished}"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@null"
                    android:hint="请输入平板车"
                    android:text="@={viewModel.car}"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:onClick="@{()-> viewModel.scanClick()}"
                    android:src="@mipmap/scan_code" />

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp"
            android:gravity="center_vertical">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@color/colorPrimary"
                    android:paddingHorizontal="20dp"
                    android:paddingVertical="4dp"
                    android:text='@{"数量 "+viewModel.count}'
                    android:textColor="@color/white"
                    tools:text="数量 0" />

                <ImageView
                    android:layout_width="10dp"
                    android:layout_height="10dp"
                    android:layout_marginTop="-3dp"
                    android:scaleType="fitXY"
                    android:src="@drawable/img_daosanjiao" />

            </LinearLayout>

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            itemLayoutId="@{viewModel.itemLayoutId}"
            viewHolder="@{viewModel.itemViewHolder}"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/item_pda_gnj_xieji_add" />
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <CheckBox
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:text="业务袋"
                android:textSize="18sp"
                android:checked="@={viewModel.check}"/>

            <TextView
                android:layout_width="120dp"
                android:layout_height="50dp"
                android:layout_gravity="end"
                android:background="@color/colorPrimary"
                android:gravity="center"
                android:onClick="@{()-> viewModel.onConfirmClick()}"
                android:text="确定"
                android:textColor="@color/white"
                android:textSize="18sp" />
        </LinearLayout>

    </LinearLayout>
</layout>